# coding: utf-8
# Copyright 2015 Moses Palmér
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program. If not, see <http://www.gnu.org/licenses/>.

KEYSYMS = {
    u'\u0020': 'space',
    u'\u0021': 'exclam',
    u'\u0022': 'quotedbl',
    u'\u0023': 'numbersign',
    u'\u0024': 'dollar',
    u'\u0025': 'percent',
    u'\u0026': 'ampersand',
    u'\u0027': 'apostrophe',
    u'\u0027': 'quoteright',
    u'\u0028': 'parenleft',
    u'\u0029': 'parenright',
    u'\u002a': 'asterisk',
    u'\u002b': 'plus',
    u'\u002c': 'comma',
    u'\u002d': 'minus',
    u'\u002e': 'period',
    u'\u002f': 'slash',
    u'\u0030': '0',
    u'\u0031': '1',
    u'\u0032': '2',
    u'\u0033': '3',
    u'\u0034': '4',
    u'\u0035': '5',
    u'\u0036': '6',
    u'\u0037': '7',
    u'\u0038': '8',
    u'\u0039': '9',
    u'\u003a': 'colon',
    u'\u003b': 'semicolon',
    u'\u003c': 'less',
    u'\u003d': 'equal',
    u'\u003e': 'greater',
    u'\u003f': 'question',
    u'\u0040': 'at',
    u'\u0041': 'A',
    u'\u0042': 'B',
    u'\u0043': 'C',
    u'\u0044': 'D',
    u'\u0045': 'E',
    u'\u0046': 'F',
    u'\u0047': 'G',
    u'\u0048': 'H',
    u'\u0049': 'I',
    u'\u004a': 'J',
    u'\u004b': 'K',
    u'\u004c': 'L',
    u'\u004d': 'M',
    u'\u004e': 'N',
    u'\u004f': 'O',
    u'\u0050': 'P',
    u'\u0051': 'Q',
    u'\u0052': 'R',
    u'\u0053': 'S',
    u'\u0054': 'T',
    u'\u0055': 'U',
    u'\u0056': 'V',
    u'\u0057': 'W',
    u'\u0058': 'X',
    u'\u0059': 'Y',
    u'\u005a': 'Z',
    u'\u005b': 'bracketleft',
    u'\u005c': 'backslash',
    u'\u005d': 'bracketright',
    u'\u005e': 'asciicircum',
    u'\u005f': 'underscore',
    u'\u0060': 'grave',
    u'\u0060': 'quoteleft',
    u'\u0061': 'a',
    u'\u0062': 'b',
    u'\u0063': 'c',
    u'\u0064': 'd',
    u'\u0065': 'e',
    u'\u0066': 'f',
    u'\u0067': 'g',
    u'\u0068': 'h',
    u'\u0069': 'i',
    u'\u006a': 'j',
    u'\u006b': 'k',
    u'\u006c': 'l',
    u'\u006d': 'm',
    u'\u006e': 'n',
    u'\u006f': 'o',
    u'\u0070': 'p',
    u'\u0071': 'q',
    u'\u0072': 'r',
    u'\u0073': 's',
    u'\u0074': 't',
    u'\u0075': 'u',
    u'\u0076': 'v',
    u'\u0077': 'w',
    u'\u0078': 'x',
    u'\u0079': 'y',
    u'\u007a': 'z',
    u'\u007b': 'braceleft',
    u'\u007c': 'bar',
    u'\u007d': 'braceright',
    u'\u007e': 'asciitilde',
    u'\u00a0': 'nobreakspace',
    u'\u00a1': 'exclamdown',
    u'\u00a2': 'cent',
    u'\u00a3': 'sterling',
    u'\u00a4': 'currency',
    u'\u00a5': 'yen',
    u'\u00a6': 'brokenbar',
    u'\u00a7': 'section',
    u'\u00a8': 'diaeresis',
    u'\u00a9': 'copyright',
    u'\u00aa': 'ordfeminine',
    u'\u00ab': 'guillemotleft',
    u'\u00ac': 'notsign',
    u'\u00ad': 'hyphen',
    u'\u00ae': 'registered',
    u'\u00af': 'macron',
    u'\u00b0': 'degree',
    u'\u00b1': 'plusminus',
    u'\u00b2': 'twosuperior',
    u'\u00b3': 'threesuperior',
    u'\u00b4': 'acute',
    u'\u00b5': 'mu',
    u'\u00b6': 'paragraph',
    u'\u00b7': 'periodcentered',
    u'\u00b8': 'cedilla',
    u'\u00b9': 'onesuperior',
    u'\u00ba': 'masculine',
    u'\u00bb': 'guillemotright',
    u'\u00bc': 'onequarter',
    u'\u00bd': 'onehalf',
    u'\u00be': 'threequarters',
    u'\u00bf': 'questiondown',
    u'\u00c0': 'Agrave',
    u'\u00c1': 'Aacute',
    u'\u00c2': 'Acircumflex',
    u'\u00c3': 'Atilde',
    u'\u00c4': 'Adiaeresis',
    u'\u00c5': 'Aring',
    u'\u00c6': 'AE',
    u'\u00c7': 'Ccedilla',
    u'\u00c8': 'Egrave',
    u'\u00c9': 'Eacute',
    u'\u00ca': 'Ecircumflex',
    u'\u00cb': 'Ediaeresis',
    u'\u00cc': 'Igrave',
    u'\u00cd': 'Iacute',
    u'\u00ce': 'Icircumflex',
    u'\u00cf': 'Idiaeresis',
    u'\u00d0': 'ETH',
    u'\u00d0': 'Eth',
    u'\u00d1': 'Ntilde',
    u'\u00d2': 'Ograve',
    u'\u00d3': 'Oacute',
    u'\u00d4': 'Ocircumflex',
    u'\u00d5': 'Otilde',
    u'\u00d6': 'Odiaeresis',
    u'\u00d7': 'multiply',
    u'\u00d8': 'Ooblique',
    u'\u00d9': 'Ugrave',
    u'\u00da': 'Uacute',
    u'\u00db': 'Ucircumflex',
    u'\u00dc': 'Udiaeresis',
    u'\u00dd': 'Yacute',
    u'\u00de': 'THORN',
    u'\u00de': 'Thorn',
    u'\u00df': 'ssharp',
    u'\u00e0': 'agrave',
    u'\u00e1': 'aacute',
    u'\u00e2': 'acircumflex',
    u'\u00e3': 'atilde',
    u'\u00e4': 'adiaeresis',
    u'\u00e5': 'aring',
    u'\u00e6': 'ae',
    u'\u00e7': 'ccedilla',
    u'\u00e8': 'egrave',
    u'\u00e9': 'eacute',
    u'\u00ea': 'ecircumflex',
    u'\u00eb': 'ediaeresis',
    u'\u00ec': 'igrave',
    u'\u00ed': 'iacute',
    u'\u00ee': 'icircumflex',
    u'\u00ef': 'idiaeresis',
    u'\u00f0': 'eth',
    u'\u00f1': 'ntilde',
    u'\u00f2': 'ograve',
    u'\u00f3': 'oacute',
    u'\u00f4': 'ocircumflex',
    u'\u00f5': 'otilde',
    u'\u00f6': 'odiaeresis',
    u'\u00f7': 'division',
    u'\u00f8': 'oslash',
    u'\u00f9': 'ugrave',
    u'\u00fa': 'uacute',
    u'\u00fb': 'ucircumflex',
    u'\u00fc': 'udiaeresis',
    u'\u00fd': 'yacute',
    u'\u00fe': 'thorn',
    u'\u00ff': 'ydiaeresis',
    u'\u0104': 'Aogonek',
    u'\u02d8': 'breve',
    u'\u0141': 'Lstroke',
    u'\u013d': 'Lcaron',
    u'\u015a': 'Sacute',
    u'\u0160': 'Scaron',
    u'\u015e': 'Scedilla',
    u'\u0164': 'Tcaron',
    u'\u0179': 'Zacute',
    u'\u017d': 'Zcaron',
    u'\u017b': 'Zabovedot',
    u'\u0105': 'aogonek',
    u'\u02db': 'ogonek',
    u'\u0142': 'lstroke',
    u'\u013e': 'lcaron',
    u'\u015b': 'sacute',
    u'\u02c7': 'caron',
    u'\u0161': 'scaron',
    u'\u015f': 'scedilla',
    u'\u0165': 'tcaron',
    u'\u017a': 'zacute',
    u'\u02dd': 'doubleacute',
    u'\u017e': 'zcaron',
    u'\u017c': 'zabovedot',
    u'\u0154': 'Racute',
    u'\u0102': 'Abreve',
    u'\u0139': 'Lacute',
    u'\u0106': 'Cacute',
    u'\u010c': 'Ccaron',
    u'\u0118': 'Eogonek',
    u'\u011a': 'Ecaron',
    u'\u010e': 'Dcaron',
    u'\u0110': 'Dstroke',
    u'\u0143': 'Nacute',
    u'\u0147': 'Ncaron',
    u'\u0150': 'Odoubleacute',
    u'\u0158': 'Rcaron',
    u'\u016e': 'Uring',
    u'\u0170': 'Udoubleacute',
    u'\u0162': 'Tcedilla',
    u'\u0155': 'racute',
    u'\u0103': 'abreve',
    u'\u013a': 'lacute',
    u'\u0107': 'cacute',
    u'\u010d': 'ccaron',
    u'\u0119': 'eogonek',
    u'\u011b': 'ecaron',
    u'\u010f': 'dcaron',
    u'\u0111': 'dstroke',
    u'\u0144': 'nacute',
    u'\u0148': 'ncaron',
    u'\u0151': 'odoubleacute',
    u'\u0159': 'rcaron',
    u'\u016f': 'uring',
    u'\u0171': 'udoubleacute',
    u'\u0163': 'tcedilla',
    u'\u02d9': 'abovedot',
    u'\u0126': 'Hstroke',
    u'\u0124': 'Hcircumflex',
    u'\u0130': 'Iabovedot',
    u'\u011e': 'Gbreve',
    u'\u0134': 'Jcircumflex',
    u'\u0127': 'hstroke',
    u'\u0125': 'hcircumflex',
    u'\u0131': 'idotless',
    u'\u011f': 'gbreve',
    u'\u0135': 'jcircumflex',
    u'\u010a': 'Cabovedot',
    u'\u0108': 'Ccircumflex',
    u'\u0120': 'Gabovedot',
    u'\u011c': 'Gcircumflex',
    u'\u016c': 'Ubreve',
    u'\u015c': 'Scircumflex',
    u'\u010b': 'cabovedot',
    u'\u0109': 'ccircumflex',
    u'\u0121': 'gabovedot',
    u'\u011d': 'gcircumflex',
    u'\u016d': 'ubreve',
    u'\u015d': 'scircumflex',
    u'\u0138': 'kra',
    u'\u0156': 'Rcedilla',
    u'\u0128': 'Itilde',
    u'\u013b': 'Lcedilla',
    u'\u0112': 'Emacron',
    u'\u0122': 'Gcedilla',
    u'\u0166': 'Tslash',
    u'\u0157': 'rcedilla',
    u'\u0129': 'itilde',
    u'\u013c': 'lcedilla',
    u'\u0113': 'emacron',
    u'\u0123': 'gcedilla',
    u'\u0167': 'tslash',
    u'\u014a': 'ENG',
    u'\u014b': 'eng',
    u'\u0100': 'Amacron',
    u'\u012e': 'Iogonek',
    u'\u0116': 'Eabovedot',
    u'\u012a': 'Imacron',
    u'\u0145': 'Ncedilla',
    u'\u014c': 'Omacron',
    u'\u0136': 'Kcedilla',
    u'\u0172': 'Uogonek',
    u'\u0168': 'Utilde',
    u'\u016a': 'Umacron',
    u'\u0101': 'amacron',
    u'\u012f': 'iogonek',
    u'\u0117': 'eabovedot',
    u'\u012b': 'imacron',
    u'\u0146': 'ncedilla',
    u'\u014d': 'omacron',
    u'\u0137': 'kcedilla',
    u'\u0173': 'uogonek',
    u'\u0169': 'utilde',
    u'\u016b': 'umacron',
    u'\u203e': 'overline',
    u'\u3002': 'kana_fullstop',
    u'\u300c': 'kana_openingbracket',
    u'\u300d': 'kana_closingbracket',
    u'\u3001': 'kana_comma',
    u'\u30fb': 'kana_conjunctive',
    u'\u30f2': 'kana_WO',
    u'\u30a1': 'kana_a',
    u'\u30a3': 'kana_i',
    u'\u30a5': 'kana_u',
    u'\u30a7': 'kana_e',
    u'\u30a9': 'kana_o',
    u'\u30e3': 'kana_ya',
    u'\u30e5': 'kana_yu',
    u'\u30e7': 'kana_yo',
    u'\u30c3': 'kana_tsu',
    u'\u30fc': 'prolongedsound',
    u'\u30a2': 'kana_A',
    u'\u30a4': 'kana_I',
    u'\u30a6': 'kana_U',
    u'\u30a8': 'kana_E',
    u'\u30aa': 'kana_O',
    u'\u30ab': 'kana_KA',
    u'\u30ad': 'kana_KI',
    u'\u30af': 'kana_KU',
    u'\u30b1': 'kana_KE',
    u'\u30b3': 'kana_KO',
    u'\u30b5': 'kana_SA',
    u'\u30b7': 'kana_SHI',
    u'\u30b9': 'kana_SU',
    u'\u30bb': 'kana_SE',
    u'\u30bd': 'kana_SO',
    u'\u30bf': 'kana_TA',
    u'\u30c1': 'kana_CHI',
    u'\u30c4': 'kana_TSU',
    u'\u30c6': 'kana_TE',
    u'\u30c8': 'kana_TO',
    u'\u30ca': 'kana_NA',
    u'\u30cb': 'kana_NI',
    u'\u30cc': 'kana_NU',
    u'\u30cd': 'kana_NE',
    u'\u30ce': 'kana_NO',
    u'\u30cf': 'kana_HA',
    u'\u30d2': 'kana_HI',
    u'\u30d5': 'kana_FU',
    u'\u30d8': 'kana_HE',
    u'\u30db': 'kana_HO',
    u'\u30de': 'kana_MA',
    u'\u30df': 'kana_MI',
    u'\u30e0': 'kana_MU',
    u'\u30e1': 'kana_ME',
    u'\u30e2': 'kana_MO',
    u'\u30e4': 'kana_YA',
    u'\u30e6': 'kana_YU',
    u'\u30e8': 'kana_YO',
    u'\u30e9': 'kana_RA',
    u'\u30ea': 'kana_RI',
    u'\u30eb': 'kana_RU',
    u'\u30ec': 'kana_RE',
    u'\u30ed': 'kana_RO',
    u'\u30ef': 'kana_WA',
    u'\u30f3': 'kana_N',
    u'\u309b': 'voicedsound',
    u'\u309c': 'semivoicedsound',
    u'\u060c': 'Arabic_comma',
    u'\u061b': 'Arabic_semicolon',
    u'\u061f': 'Arabic_question_mark',
    u'\u0621': 'Arabic_hamza',
    u'\u0622': 'Arabic_maddaonalef',
    u'\u0623': 'Arabic_hamzaonalef',
    u'\u0624': 'Arabic_hamzaonwaw',
    u'\u0625': 'Arabic_hamzaunderalef',
    u'\u0626': 'Arabic_hamzaonyeh',
    u'\u0627': 'Arabic_alef',
    u'\u0628': 'Arabic_beh',
    u'\u0629': 'Arabic_tehmarbuta',
    u'\u062a': 'Arabic_teh',
    u'\u062b': 'Arabic_theh',
    u'\u062c': 'Arabic_jeem',
    u'\u062d': 'Arabic_hah',
    u'\u062e': 'Arabic_khah',
    u'\u062f': 'Arabic_dal',
    u'\u0630': 'Arabic_thal',
    u'\u0631': 'Arabic_ra',
    u'\u0632': 'Arabic_zain',
    u'\u0633': 'Arabic_seen',
    u'\u0634': 'Arabic_sheen',
    u'\u0635': 'Arabic_sad',
    u'\u0636': 'Arabic_dad',
    u'\u0637': 'Arabic_tah',
    u'\u0638': 'Arabic_zah',
    u'\u0639': 'Arabic_ain',
    u'\u063a': 'Arabic_ghain',
    u'\u0640': 'Arabic_tatweel',
    u'\u0641': 'Arabic_feh',
    u'\u0642': 'Arabic_qaf',
    u'\u0643': 'Arabic_kaf',
    u'\u0644': 'Arabic_lam',
    u'\u0645': 'Arabic_meem',
    u'\u0646': 'Arabic_noon',
    u'\u0647': 'Arabic_ha',
    u'\u0648': 'Arabic_waw',
    u'\u0649': 'Arabic_alefmaksura',
    u'\u064a': 'Arabic_yeh',
    u'\u064b': 'Arabic_fathatan',
    u'\u064c': 'Arabic_dammatan',
    u'\u064d': 'Arabic_kasratan',
    u'\u064e': 'Arabic_fatha',
    u'\u064f': 'Arabic_damma',
    u'\u0650': 'Arabic_kasra',
    u'\u0651': 'Arabic_shadda',
    u'\u0652': 'Arabic_sukun',
    u'\u0452': 'Serbian_dje',
    u'\u0453': 'Macedonia_gje',
    u'\u0451': 'Cyrillic_io',
    u'\u0454': 'Ukrainian_ie',
    u'\u0455': 'Macedonia_dse',
    u'\u0456': 'Ukrainian_i',
    u'\u0457': 'Ukrainian_yi',
    u'\u0458': 'Cyrillic_je',
    u'\u0459': 'Cyrillic_lje',
    u'\u045a': 'Cyrillic_nje',
    u'\u045b': 'Serbian_tshe',
    u'\u045c': 'Macedonia_kje',
    u'\u045e': 'Byelorussian_shortu',
    u'\u045f': 'Cyrillic_dzhe',
    u'\u2116': 'numerosign',
    u'\u0402': 'Serbian_DJE',
    u'\u0403': 'Macedonia_GJE',
    u'\u0401': 'Cyrillic_IO',
    u'\u0404': 'Ukrainian_IE',
    u'\u0405': 'Macedonia_DSE',
    u'\u0406': 'Ukrainian_I',
    u'\u0407': 'Ukrainian_YI',
    u'\u0408': 'Cyrillic_JE',
    u'\u0409': 'Cyrillic_LJE',
    u'\u040a': 'Cyrillic_NJE',
    u'\u040b': 'Serbian_TSHE',
    u'\u040c': 'Macedonia_KJE',
    u'\u040e': 'Byelorussian_SHORTU',
    u'\u040f': 'Cyrillic_DZHE',
    u'\u044e': 'Cyrillic_yu',
    u'\u0430': 'Cyrillic_a',
    u'\u0431': 'Cyrillic_be',
    u'\u0446': 'Cyrillic_tse',
    u'\u0434': 'Cyrillic_de',
    u'\u0435': 'Cyrillic_ie',
    u'\u0444': 'Cyrillic_ef',
    u'\u0433': 'Cyrillic_ghe',
    u'\u0445': 'Cyrillic_ha',
    u'\u0438': 'Cyrillic_i',
    u'\u0439': 'Cyrillic_shorti',
    u'\u043a': 'Cyrillic_ka',
    u'\u043b': 'Cyrillic_el',
    u'\u043c': 'Cyrillic_em',
    u'\u043d': 'Cyrillic_en',
    u'\u043e': 'Cyrillic_o',
    u'\u043f': 'Cyrillic_pe',
    u'\u044f': 'Cyrillic_ya',
    u'\u0440': 'Cyrillic_er',
    u'\u0441': 'Cyrillic_es',
    u'\u0442': 'Cyrillic_te',
    u'\u0443': 'Cyrillic_u',
    u'\u0436': 'Cyrillic_zhe',
    u'\u0432': 'Cyrillic_ve',
    u'\u044c': 'Cyrillic_softsign',
    u'\u044b': 'Cyrillic_yeru',
    u'\u0437': 'Cyrillic_ze',
    u'\u0448': 'Cyrillic_sha',
    u'\u044d': 'Cyrillic_e',
    u'\u0449': 'Cyrillic_shcha',
    u'\u0447': 'Cyrillic_che',
    u'\u044a': 'Cyrillic_hardsign',
    u'\u042e': 'Cyrillic_YU',
    u'\u0410': 'Cyrillic_A',
    u'\u0411': 'Cyrillic_BE',
    u'\u0426': 'Cyrillic_TSE',
    u'\u0414': 'Cyrillic_DE',
    u'\u0415': 'Cyrillic_IE',
    u'\u0424': 'Cyrillic_EF',
    u'\u0413': 'Cyrillic_GHE',
    u'\u0425': 'Cyrillic_HA',
    u'\u0418': 'Cyrillic_I',
    u'\u0419': 'Cyrillic_SHORTI',
    u'\u041a': 'Cyrillic_KA',
    u'\u041b': 'Cyrillic_EL',
    u'\u041c': 'Cyrillic_EM',
    u'\u041d': 'Cyrillic_EN',
    u'\u041e': 'Cyrillic_O',
    u'\u041f': 'Cyrillic_PE',
    u'\u042f': 'Cyrillic_YA',
    u'\u0420': 'Cyrillic_ER',
    u'\u0421': 'Cyrillic_ES',
    u'\u0422': 'Cyrillic_TE',
    u'\u0423': 'Cyrillic_U',
    u'\u0416': 'Cyrillic_ZHE',
    u'\u0412': 'Cyrillic_VE',
    u'\u042c': 'Cyrillic_SOFTSIGN',
    u'\u042b': 'Cyrillic_YERU',
    u'\u0417': 'Cyrillic_ZE',
    u'\u0428': 'Cyrillic_SHA',
    u'\u042d': 'Cyrillic_E',
    u'\u0429': 'Cyrillic_SHCHA',
    u'\u0427': 'Cyrillic_CHE',
    u'\u042a': 'Cyrillic_HARDSIGN',
    u'\u0386': 'Greek_ALPHAaccent',
    u'\u0388': 'Greek_EPSILONaccent',
    u'\u0389': 'Greek_ETAaccent',
    u'\u038a': 'Greek_IOTAaccent',
    u'\u03aa': 'Greek_IOTAdiaeresis',
    u'\u038c': 'Greek_OMICRONaccent',
    u'\u038e': 'Greek_UPSILONaccent',
    u'\u03ab': 'Greek_UPSILONdieresis',
    u'\u038f': 'Greek_OMEGAaccent',
    u'\u0385': 'Greek_accentdieresis',
    u'\u2015': 'Greek_horizbar',
    u'\u03ac': 'Greek_alphaaccent',
    u'\u03ad': 'Greek_epsilonaccent',
    u'\u03ae': 'Greek_etaaccent',
    u'\u03af': 'Greek_iotaaccent',
    u'\u03ca': 'Greek_iotadieresis',
    u'\u0390': 'Greek_iotaaccentdieresis',
    u'\u03cc': 'Greek_omicronaccent',
    u'\u03cd': 'Greek_upsilonaccent',
    u'\u03cb': 'Greek_upsilondieresis',
    u'\u03b0': 'Greek_upsilonaccentdieresis',
    u'\u03ce': 'Greek_omegaaccent',
    u'\u0391': 'Greek_ALPHA',
    u'\u0392': 'Greek_BETA',
    u'\u0393': 'Greek_GAMMA',
    u'\u0394': 'Greek_DELTA',
    u'\u0395': 'Greek_EPSILON',
    u'\u0396': 'Greek_ZETA',
    u'\u0397': 'Greek_ETA',
    u'\u0398': 'Greek_THETA',
    u'\u0399': 'Greek_IOTA',
    u'\u039a': 'Greek_KAPPA',
    u'\u039b': 'Greek_LAMBDA',
    u'\u039b': 'Greek_LAMDA',
    u'\u039c': 'Greek_MU',
    u'\u039d': 'Greek_NU',
    u'\u039e': 'Greek_XI',
    u'\u039f': 'Greek_OMICRON',
    u'\u03a0': 'Greek_PI',
    u'\u03a1': 'Greek_RHO',
    u'\u03a3': 'Greek_SIGMA',
    u'\u03a4': 'Greek_TAU',
    u'\u03a5': 'Greek_UPSILON',
    u'\u03a6': 'Greek_PHI',
    u'\u03a7': 'Greek_CHI',
    u'\u03a8': 'Greek_PSI',
    u'\u03a9': 'Greek_OMEGA',
    u'\u03b1': 'Greek_alpha',
    u'\u03b2': 'Greek_beta',
    u'\u03b3': 'Greek_gamma',
    u'\u03b4': 'Greek_delta',
    u'\u03b5': 'Greek_epsilon',
    u'\u03b6': 'Greek_zeta',
    u'\u03b7': 'Greek_eta',
    u'\u03b8': 'Greek_theta',
    u'\u03b9': 'Greek_iota',
    u'\u03ba': 'Greek_kappa',
    u'\u03bb': 'Greek_lambda',
    u'\u03bc': 'Greek_mu',
    u'\u03bd': 'Greek_nu',
    u'\u03be': 'Greek_xi',
    u'\u03bf': 'Greek_omicron',
    u'\u03c0': 'Greek_pi',
    u'\u03c1': 'Greek_rho',
    u'\u03c3': 'Greek_sigma',
    u'\u03c2': 'Greek_finalsmallsigma',
    u'\u03c4': 'Greek_tau',
    u'\u03c5': 'Greek_upsilon',
    u'\u03c6': 'Greek_phi',
    u'\u03c7': 'Greek_chi',
    u'\u03c8': 'Greek_psi',
    u'\u03c9': 'Greek_omega',
    u'\u23b7': 'leftradical',
    u'\u2320': 'topintegral',
    u'\u2321': 'botintegral',
    u'\u23a1': 'topleftsqbracket',
    u'\u23a3': 'botleftsqbracket',
    u'\u23a4': 'toprightsqbracket',
    u'\u23a6': 'botrightsqbracket',
    u'\u239b': 'topleftparens',
    u'\u239d': 'botleftparens',
    u'\u239e': 'toprightparens',
    u'\u23a0': 'botrightparens',
    u'\u23a8': 'leftmiddlecurlybrace',
    u'\u23ac': 'rightmiddlecurlybrace',
    u'\u2264': 'lessthanequal',
    u'\u2260': 'notequal',
    u'\u2265': 'greaterthanequal',
    u'\u222b': 'integral',
    u'\u2234': 'therefore',
    u'\u221d': 'variation',
    u'\u221e': 'infinity',
    u'\u2207': 'nabla',
    u'\u223c': 'approximate',
    u'\u2243': 'similarequal',
    u'\u21d4': 'ifonlyif',
    u'\u21d2': 'implies',
    u'\u2261': 'identical',
    u'\u221a': 'radical',
    u'\u2282': 'includedin',
    u'\u2283': 'includes',
    u'\u2229': 'intersection',
    u'\u222a': 'union',
    u'\u2227': 'logicaland',
    u'\u2228': 'logicalor',
    u'\u2202': 'partialderivative',
    u'\u0192': 'function',
    u'\u2190': 'leftarrow',
    u'\u2191': 'uparrow',
    u'\u2192': 'rightarrow',
    u'\u2193': 'downarrow',
    u'\u25c6': 'soliddiamond',
    u'\u2592': 'checkerboard',
    u'\u2409': 'ht',
    u'\u240c': 'ff',
    u'\u240d': 'cr',
    u'\u240a': 'lf',
    u'\u2424': 'nl',
    u'\u240b': 'vt',
    u'\u2518': 'lowrightcorner',
    u'\u2510': 'uprightcorner',
    u'\u250c': 'upleftcorner',
    u'\u2514': 'lowleftcorner',
    u'\u253c': 'crossinglines',
    u'\u23ba': 'horizlinescan1',
    u'\u23bb': 'horizlinescan3',
    u'\u2500': 'horizlinescan5',
    u'\u23bc': 'horizlinescan7',
    u'\u23bd': 'horizlinescan9',
    u'\u251c': 'leftt',
    u'\u2524': 'rightt',
    u'\u2534': 'bott',
    u'\u252c': 'topt',
    u'\u2502': 'vertbar',
    u'\u2003': 'emspace',
    u'\u2002': 'enspace',
    u'\u2004': 'em3space',
    u'\u2005': 'em4space',
    u'\u2007': 'digitspace',
    u'\u2008': 'punctspace',
    u'\u2009': 'thinspace',
    u'\u200a': 'hairspace',
    u'\u2014': 'emdash',
    u'\u2013': 'endash',
    u'\u2026': 'ellipsis',
    u'\u2025': 'doubbaselinedot',
    u'\u2153': 'onethird',
    u'\u2154': 'twothirds',
    u'\u2155': 'onefifth',
    u'\u2156': 'twofifths',
    u'\u2157': 'threefifths',
    u'\u2158': 'fourfifths',
    u'\u2159': 'onesixth',
    u'\u215a': 'fivesixths',
    u'\u2105': 'careof',
    u'\u2012': 'figdash',
    u'\u215b': 'oneeighth',
    u'\u215c': 'threeeighths',
    u'\u215d': 'fiveeighths',
    u'\u215e': 'seveneighths',
    u'\u2122': 'trademark',
    u'\u2018': 'leftsinglequotemark',
    u'\u2019': 'rightsinglequotemark',
    u'\u201c': 'leftdoublequotemark',
    u'\u201d': 'rightdoublequotemark',
    u'\u211e': 'prescription',
    u'\u2032': 'minutes',
    u'\u2033': 'seconds',
    u'\u271d': 'latincross',
    u'\u2663': 'club',
    u'\u2666': 'diamond',
    u'\u2665': 'heart',
    u'\u2720': 'maltesecross',
    u'\u2020': 'dagger',
    u'\u2021': 'doubledagger',
    u'\u2713': 'checkmark',
    u'\u2717': 'ballotcross',
    u'\u266f': 'musicalsharp',
    u'\u266d': 'musicalflat',
    u'\u2642': 'malesymbol',
    u'\u2640': 'femalesymbol',
    u'\u260e': 'telephone',
    u'\u2315': 'telephonerecorder',
    u'\u2117': 'phonographcopyright',
    u'\u2038': 'caret',
    u'\u201a': 'singlelowquotemark',
    u'\u201e': 'doublelowquotemark',
    u'\u22a5': 'downtack',
    u'\u230a': 'downstile',
    u'\u2218': 'jot',
    u'\u2395': 'quad',
    u'\u22a4': 'uptack',
    u'\u25cb': 'circle',
    u'\u2308': 'upstile',
    u'\u22a2': 'lefttack',
    u'\u22a3': 'righttack',
    u'\u2017': 'hebrew_doublelowline',
    u'\u05d0': 'hebrew_aleph',
    u'\u05d1': 'hebrew_bet',
    u'\u05d1': 'hebrew_beth',
    u'\u05d2': 'hebrew_gimel',
    u'\u05d2': 'hebrew_gimmel',
    u'\u05d3': 'hebrew_dalet',
    u'\u05d3': 'hebrew_daleth',
    u'\u05d4': 'hebrew_he',
    u'\u05d5': 'hebrew_waw',
    u'\u05d6': 'hebrew_zain',
    u'\u05d6': 'hebrew_zayin',
    u'\u05d7': 'hebrew_chet',
    u'\u05d7': 'hebrew_het',
    u'\u05d8': 'hebrew_tet',
    u'\u05d8': 'hebrew_teth',
    u'\u05d9': 'hebrew_yod',
    u'\u05da': 'hebrew_finalkaph',
    u'\u05db': 'hebrew_kaph',
    u'\u05dc': 'hebrew_lamed',
    u'\u05dd': 'hebrew_finalmem',
    u'\u05de': 'hebrew_mem',
    u'\u05df': 'hebrew_finalnun',
    u'\u05e0': 'hebrew_nun',
    u'\u05e1': 'hebrew_samech',
    u'\u05e1': 'hebrew_samekh',
    u'\u05e2': 'hebrew_ayin',
    u'\u05e3': 'hebrew_finalpe',
    u'\u05e4': 'hebrew_pe',
    u'\u05e5': 'hebrew_finalzade',
    u'\u05e5': 'hebrew_finalzadi',
    u'\u05e6': 'hebrew_zade',
    u'\u05e6': 'hebrew_zadi',
    u'\u05e7': 'hebrew_kuf',
    u'\u05e7': 'hebrew_qoph',
    u'\u05e8': 'hebrew_resh',
    u'\u05e9': 'hebrew_shin',
    u'\u05ea': 'hebrew_taf',
    u'\u05ea': 'hebrew_taw',
    u'\u0e01': 'Thai_kokai',
    u'\u0e02': 'Thai_khokhai',
    u'\u0e03': 'Thai_khokhuat',
    u'\u0e04': 'Thai_khokhwai',
    u'\u0e05': 'Thai_khokhon',
    u'\u0e06': 'Thai_khorakhang',
    u'\u0e07': 'Thai_ngongu',
    u'\u0e08': 'Thai_chochan',
    u'\u0e09': 'Thai_choching',
    u'\u0e0a': 'Thai_chochang',
    u'\u0e0b': 'Thai_soso',
    u'\u0e0c': 'Thai_chochoe',
    u'\u0e0d': 'Thai_yoying',
    u'\u0e0e': 'Thai_dochada',
    u'\u0e0f': 'Thai_topatak',
    u'\u0e10': 'Thai_thothan',
    u'\u0e11': 'Thai_thonangmontho',
    u'\u0e12': 'Thai_thophuthao',
    u'\u0e13': 'Thai_nonen',
    u'\u0e14': 'Thai_dodek',
    u'\u0e15': 'Thai_totao',
    u'\u0e16': 'Thai_thothung',
    u'\u0e17': 'Thai_thothahan',
    u'\u0e18': 'Thai_thothong',
    u'\u0e19': 'Thai_nonu',
    u'\u0e1a': 'Thai_bobaimai',
    u'\u0e1b': 'Thai_popla',
    u'\u0e1c': 'Thai_phophung',
    u'\u0e1d': 'Thai_fofa',
    u'\u0e1e': 'Thai_phophan',
    u'\u0e1f': 'Thai_fofan',
    u'\u0e20': 'Thai_phosamphao',
    u'\u0e21': 'Thai_moma',
    u'\u0e22': 'Thai_yoyak',
    u'\u0e23': 'Thai_rorua',
    u'\u0e24': 'Thai_ru',
    u'\u0e25': 'Thai_loling',
    u'\u0e26': 'Thai_lu',
    u'\u0e27': 'Thai_wowaen',
    u'\u0e28': 'Thai_sosala',
    u'\u0e29': 'Thai_sorusi',
    u'\u0e2a': 'Thai_sosua',
    u'\u0e2b': 'Thai_hohip',
    u'\u0e2c': 'Thai_lochula',
    u'\u0e2d': 'Thai_oang',
    u'\u0e2e': 'Thai_honokhuk',
    u'\u0e2f': 'Thai_paiyannoi',
    u'\u0e30': 'Thai_saraa',
    u'\u0e31': 'Thai_maihanakat',
    u'\u0e32': 'Thai_saraaa',
    u'\u0e33': 'Thai_saraam',
    u'\u0e34': 'Thai_sarai',
    u'\u0e35': 'Thai_saraii',
    u'\u0e36': 'Thai_saraue',
    u'\u0e37': 'Thai_sarauee',
    u'\u0e38': 'Thai_sarau',
    u'\u0e39': 'Thai_sarauu',
    u'\u0e3a': 'Thai_phinthu',
    u'\u0e3f': 'Thai_baht',
    u'\u0e40': 'Thai_sarae',
    u'\u0e41': 'Thai_saraae',
    u'\u0e42': 'Thai_sarao',
    u'\u0e43': 'Thai_saraaimaimuan',
    u'\u0e44': 'Thai_saraaimaimalai',
    u'\u0e45': 'Thai_lakkhangyao',
    u'\u0e46': 'Thai_maiyamok',
    u'\u0e47': 'Thai_maitaikhu',
    u'\u0e48': 'Thai_maiek',
    u'\u0e49': 'Thai_maitho',
    u'\u0e4a': 'Thai_maitri',
    u'\u0e4b': 'Thai_maichattawa',
    u'\u0e4c': 'Thai_thanthakhat',
    u'\u0e4d': 'Thai_nikhahit',
    u'\u0e50': 'Thai_leksun',
    u'\u0e51': 'Thai_leknung',
    u'\u0e52': 'Thai_leksong',
    u'\u0e53': 'Thai_leksam',
    u'\u0e54': 'Thai_leksi',
    u'\u0e55': 'Thai_lekha',
    u'\u0e56': 'Thai_lekhok',
    u'\u0e57': 'Thai_lekchet',
    u'\u0e58': 'Thai_lekpaet',
    u'\u0e59': 'Thai_lekkao',
    u'\u0152': 'OE',
    u'\u0153': 'oe',
    u'\u0178': 'Ydiaeresis',
    u'\u20ac': 'EuroSign',
    u'\u0491': 'Ukrainian_ghe_with_upturn',
    u'\u0490': 'Ukrainian_GHE_WITH_UPTURN'}
